'use strict';
var prettyBytes = require('pretty-bytes');
var chalk = require('chalk');

function format(size) {
	return chalk.green(prettyBytes(size));
}

module.exports = function (max, min, useGzip) {
	if (max == null || min == null) {
		throw new Error('`max` and `min` required');
	}

	var ret = format(max.length) + ' → ' + format(min.length);

	if (useGzip === true) {
		ret += ' → ' + chalk.gray('(gzip-size unavailable)');
	}

	return ret;
};
